View Issue Details

IDProjectCategoryView StatusLast Update
0008473LazarusLCLpublic2008-07-10 01:00
ReporterSimon Forsberg Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionnot fixable 
Product Version0.9.20 
Fixed in Version0.9.25 (SVN) 
Summary0008473: Accessing hidden directories with TFileNameEdit
DescriptionA problem in Linux with TFileNameEdit,
I set the "DialogOptions.ofForceShowHidden" to True but I can't see any hidden directories at all.

Setting the InitialDir of the TFileNameEdit to "/root/.hiddendir" works, but when leaving that directory you can't enter it again.
Tagsgtk2
Fixed in Revision14851
LazTarget1.2
WidgetsetGTK 2
Attached Files

Activities

Vincent Snijders

2007-03-07 15:06

manager   ~0011752

LazTarget may be 1.0, if this happens with gtk1 too. It doesn't seem to happen on windows

Felipe Monteiro de Carvalho

2008-04-16 17:29

developer   ~0018867

I implemented this according to the Gtk docs in revision 14851, but still doesn't work. Gtk ignores what I set and uses instead what the user sets, by right-clicking the dialog =/

I think this is a Gtk 2 bug now.

Felipe Monteiro de Carvalho

2008-04-16 17:32

developer   ~0018868

As expected, it's a Gtk+ bug, so I can't fix it further.

Related links:

http://bugzilla.gnome.org/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&product=gtk%2B&component=GtkFileChooser&long_desc_type=substring&long_desc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&keywords_type=allwords&keywords=&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=NEEDINFO&bug_status=RESOLVED&bug_status=VERIFIED&bug_status=CLOSED&emailassigned_to1=1&emailtype1=substring&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=substring&email2=&bugidtype=include&bug_id=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=

(search for "hidden")

http://bugzilla.gnome.org/show_bug.cgi?id=440667

http://bugzilla.gnome.org/show_bug.cgi?id=502295

http://bugzilla.gnome.org/show_bug.cgi?id=138427

Just the Filechooser component has hundreds of bug reports open =/ Gtk is really amazing.

Felipe Monteiro de Carvalho

2008-04-16 17:36

developer   ~0018869

Just adding a link for documentation:

http://wiki.lazarus.freepascal.org/GTK2_Interface#Open_Dialog_Options

Issue History

Date Modified Username Field Change
2007-03-07 11:01 Simon Forsberg New Issue
2007-03-07 11:01 Simon Forsberg Widgetset => GTK 2
2007-03-07 15:06 Vincent Snijders LazTarget => 1.2
2007-03-07 15:06 Vincent Snijders Note Added: 0011752
2007-03-07 15:06 Vincent Snijders Status new => acknowledged
2007-10-26 12:11 Ales Katona Status acknowledged => confirmed
2008-04-12 12:41 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-16 17:29 Felipe Monteiro de Carvalho Note Added: 0018867
2008-04-16 17:32 Felipe Monteiro de Carvalho Status confirmed => resolved
2008-04-16 17:32 Felipe Monteiro de Carvalho Resolution open => not fixable
2008-04-16 17:32 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2008-04-16 17:32 Felipe Monteiro de Carvalho Note Added: 0018868
2008-04-16 17:36 Felipe Monteiro de Carvalho Status resolved => feedback
2008-04-16 17:36 Felipe Monteiro de Carvalho Resolution not fixable => reopened
2008-04-16 17:36 Felipe Monteiro de Carvalho Note Added: 0018869
2008-04-16 17:37 Felipe Monteiro de Carvalho Fixed in Revision => 14851
2008-04-16 17:37 Felipe Monteiro de Carvalho Status feedback => resolved
2008-04-16 17:37 Felipe Monteiro de Carvalho Fixed in Version => 0.9.25 (SVN)
2008-04-16 17:37 Felipe Monteiro de Carvalho Resolution reopened => not fixable
2008-07-10 01:00 Marc Weustink Status resolved => closed